# -*- coding: utf-8 -*-

from odoo import models, fields, api


class DemoModel(models.Model):
    _name = 'demo.model'
    _description = '样例模型'
    _inherit = 'mail.thread'

    name = fields.Char(string='单号')
    user_name = fields.Char(string=u'人员', default=lambda self: self.env.user.name)
    occur_time = fields.Datetime(string=u'时间', default=fields.Datetime.now)
    description = fields.Text(string='描述')
    attachment_ids = fields.Many2many('ir.attachment', relation="ir_attachment_demo_model_ref", string='附件')
